/*
 * FILE:    listwidget.h
 * PACKAGE: PNML view
 * LICENCE: See LICENCE file
 * AUTHOR:  Freek van Walderveen
 *
 */

#ifndef LISTWIDGET_H
#define LISTWIDGET_H

#include <QListWidget>

class QKeyEvent;
class QContextMenuEvent;

class ListWidget : public QListWidget {
Q_OBJECT
public:
  ListWidget(QWidget *parent = 0);
  ~ListWidget();
  
protected:
  void keyPressEvent(QKeyEvent *e);
  void contextMenuEvent(QContextMenuEvent * e);

private slots:
  void deleteCurrent();
  
};

#endif
